# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('assessments', '0011_auto_20150831_1334'),
    ]

    operations = [
        migrations.AddField(
            model_name='competency',
            name='original_version',
            field=models.ForeignKey(null=True, to='assessments.Competency', related_name='all_duplicates'),
        ),
        migrations.AddField(
            model_name='competency',
            name='parent_version',
            field=models.ForeignKey(null=True, to='assessments.Competency', related_name='direct_duplicates'),
        ),
        migrations.AddField(
            model_name='competencytree',
            name='created_at',
            field=models.DateTimeField(verbose_name='Creation date', default=django.utils.timezone.now),
        ),
        migrations.AddField(
            model_name='competencytree',
            name='original_version',
            field=models.ForeignKey(null=True, to='assessments.CompetencyTree', related_name='all_duplicates'),
        ),
        migrations.AddField(
            model_name='competencytree',
            name='parent_version',
            field=models.ForeignKey(null=True, to='assessments.CompetencyTree', related_name='direct_duplicates'),
        ),
        migrations.AddField(
            model_name='competencytree',
            name='version_state',
            field=models.CharField(choices=[('c', 'Copied'), ('C', 'Copying'), ('d', 'Draft'), ('p', 'Published'), ('a', 'Archived')], verbose_name='Version state', max_length=1, default='d', db_index=True),
        ),
        migrations.AddField(
            model_name='dimension',
            name='original_version',
            field=models.ForeignKey(null=True, to='assessments.Dimension', related_name='all_duplicates'),
        ),
        migrations.AddField(
            model_name='dimension',
            name='parent_version',
            field=models.ForeignKey(null=True, to='assessments.Dimension', related_name='direct_duplicates'),
        ),
    ]
